aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/gen-eclass-html.sh')
-rwxr-xr-xbin/gen-eclass-html.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/bin/gen-eclass-html.sh b/bin/gen-eclass-html.sh
index db61319..1aa57f6 100755
--- a/bin/gen-eclass-html.sh
+++ b/bin/gen-eclass-html.sh
@@ -38,6 +38,7 @@ EOF
# We also need the ebuild man page
for i in $(/usr/bin/qlist eclass-manpages) /usr/share/man/man5/ebuild.5.bz2; do
BASENAME="$(basename $i .5.bz2)"
+ [[ ${BASENAME} != "${i}" ]] || continue
DIRNAME="${OUTPUTDIR}/${BASENAME}"
TMP="${DIRNAME}/index.html.tmp"
FINAL="${DIRNAME}/index.html"